summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-08-13 11:36:13 +0200
committerMichał Górny <mgorny@gentoo.org>2020-08-13 12:04:53 +0200
commite5107088165094d01707b729f70865d40ba25e0c (patch)
treea14bbcca6c4564c8c030e1b846c31acd37c14aaf /dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.2.2.ebuild
parentdev-python/setuptools: Bump to 49.3.2 (diff)
downloadgentoo-e5107088165094d01707b729f70865d40ba25e0c.tar.gz
gentoo-e5107088165094d01707b729f70865d40ba25e0c.tar.bz2
gentoo-e5107088165094d01707b729f70865d40ba25e0c.zip
dev-python/sphinxcontrib-spelling: Bump to 5.2.2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.2.2.ebuild')
-rw-r--r--dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.2.2.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.2.2.ebuild b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.2.2.ebuild
new file mode 100644
index 00000000000..9cd2451e069
--- /dev/null
+++ b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-5.2.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx spelling extension"
+HOMEPAGE="https://github.com/sphinx-contrib/spelling"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-1.7.0[${PYTHON_USEDEP}]
+ ' python3_{6,7})
+ dev-python/pbr[${PYTHON_USEDEP}]
+ dev-python/pyenchant[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ app-dicts/myspell-en
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source --no-autodoc
+distutils_enable_tests pytest
+
+RDEPEND+="
+ dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+"
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}